{ pkgs, config, ... }: {

    services.pcscd.enable = true; # enable support for smart cards

    environment.systemPackages = with pkgs; [
        # Yubikey stuff
        yubioath-flutter    # Yubico authentictor app for managing accounts
        yubikey-manager     # CLI tool for ykman
        yubikey-manager-qt  # GUI tool for ykman
        pcsclite
    ];
}
