# Dotfiles

Config files for various apps and services

## DVD decryption
DVDs can be decrypted without any configuration via the `libdvdcss` library and a transcoder such as `Handbrake` or `VLC`.

### Packages (System)
- libdvdcss

## Blueray Decryption
This configuration is capable of decrypting blueray disks through various libraries.
In order to work the `libaacs` requires a database with decryption keys per movie. That file is located at `~/.config/aacs/KEYDB.cfg`
and requires updates uppon new movie release. Updated files can be downloaded from here: [VUK Online Database](http://fvonline-db.bplaced.net/).

### Packages (System)
- libaacs
- libbdplus
- libbluray